import { ShaderPass } from "../../../lib/shader-module/shader-pass.js";
/**
 * Dot Screen -
 * Simulates a black and white halftone rendering of the image by multiplying
 * pixel values with a rotated 2D sine wave pattern.
 */
export type DotScreenProps = {
    /** The x, y coordinate of the pattern origin. */
    center?: [number, number];
    /** The rotation of the pattern in radians. */
    angle?: number;
    /** The diameter of a dot in pixels. */
    size?: number;
};
/**
 * Dot Screen -
 * Simulates a black and white halftone rendering of the image by multiplying
 * pixel values with a rotated 2D sine wave pattern.
 */
export declare const dotScreen: ShaderPass<DotScreenProps, DotScreenProps>;
//# sourceMappingURL=dotscreen.d.ts.map