import { ShaderPass } from "../../../lib/shader-module/shader-pass.js";
/**
 * Ink -
 * Simulates outlining the image in ink by darkening edges stronger than a
 * certain threshold. The edge detection value is the difference of two
 * copies of the image, each blurred using a blur of a different radius.
 */
export type InkProps = {
    /** The multiplicative scale of the ink edges.
     * Values in the range 0 to 1 are usually sufficient, where 0 doesn't change the image and 1 adds lots of black edges.
     * Negative strength values will create white ink edges instead of black ones.
     */
    strength?: number;
};
/**
 * Ink -
 * Simulates outlining the image in ink by darkening edges stronger than a
 * certain threshold. The edge detection value is the difference of two
 * copies of the image, each blurred using a blur of a different radius.
 */
export declare const ink: ShaderPass<InkProps, InkProps>;
//# sourceMappingURL=ink.d.ts.map